Bug 735947 - [abrt] pgadmin3-1.12.2-2.fc14: __libc_message: Process /usr/bin/pgadmin3 was killed by signal 6 (SIGABRT)
Summary: [abrt] pgadmin3-1.12.2-2.fc14: __libc_message: Process /usr/bin/pgadmin3 was ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin3
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4f99e147f2575853a417ed57502...
: 734485 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 09:02 UTC by kereg9280
Modified: 2012-08-16 13:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 13:05:41 UTC


Attachments (Terms of Use)
File: backtrace (27.96 KB, text/plain)
2011-09-06 09:02 UTC, kereg9280
no flags Details

Description kereg9280 2011-09-06 09:02:06 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 28634 bytes
cmdline: /usr/bin/pgadmin3
component: pgadmin3
Attached file: coredump, 166957056 bytes
crash_function: __libc_message
executable: /usr/bin/pgadmin3
kernel: 2.6.35.14-95.fc14.x86_64
package: pgadmin3-1.12.2-2.fc14
rating: 4
reason: Process /usr/bin/pgadmin3 was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1315299555
uid: 500

How to reproduce
-----
1.just clicked on a cell in table view
2.
3.

Comment 1 kereg9280 2011-09-06 09:02:10 UTC
Created attachment 521612 [details]
File: backtrace

Comment 2 kereg9280 2011-10-03 16:18:48 UTC
Package: pgadmin3-1.12.2-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. refreshed on a table view (and probably connection to DB was lost by then)
2.
3.

Comment 3 jewbacca.rex 2011-12-23 06:17:58 UTC
Package: pgadmin3-1.12.2-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
A little unclear on the exact sequence leading to it.  In this case:

1. I opened a table, modified some rows (inserted data into empty columns in those rows)
2. Then I deleted one row
3. Crashed when I closed the table window


Happened previously with a slightly different order of events:

1. Opened a table and modified one entry
2. Crashed immediately (but the change was retained)


Comment
-----
Not sure if it's relevant, but this happened with a table that has another table use its primary key as a foreign key (set to cascade on update and delete) and the table with the foreign keys is set to insert a new row in the other table if a value is inserted that isn't there yet.  In this case, the row removal would have cascaded to the second table.  In the previous case, I had added an entry in the foreign table and the modification that crashed it was a correction to the just-generated row.

Comment 4 abrt-bot 2012-03-30 11:42:52 UTC
*** Bug 734485 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2012-08-16 13:05:44 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.